> For the complete documentation index, see [llms.txt](https://docs.nekoya.moe.team/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nekoya.moe.team/reference/api-reference/product.md).

# Product

## All Products

<mark style="color:blue;">`GET`</mark> `https://nekoya.moe.team/api/getproducts`

{% tabs %}
{% tab title="200: OK " %}

```javascript
[
  {
    "ID": "306796_02",
    "TITLE": "Scuderia Ferrari Speedcat Men's Motorsport Shoes",
    "IMAGE": "Product_18.webp",
    "DESCRIPTION": "Born for speed. Raised in style. The Speedcat returns over 20 years later, this time with sleek Scuderia Ferrari engineering. The signature low profile silhouette features a premium suede upper, plus an authentic rounded driver's heel and Scuderia Ferrari racing shield at the heel. Taking iconic track style to the streets.",
    "STOCK": 99,
    "PRICE": 1500000,
    "SIZE": "46",
    "DISCOUNT": 0,
    "BRAND": "Puma"
  },
  {
    "ID": "306807_01",
    "TITLE": "Ferrari Nitefox GT Men's Shoes",
    "IMAGE": "Product_20.webp",
    "DESCRIPTION": "In Partnership with Scuderia Ferrari, the Nitefox GT is inspired by the Ferrari Testarossa’s aerodynamics. One of the most iconic elements is the wind takes on side of the car, giving a very distinctive look.",
    "STOCK": 99,
    "PRICE": 4500000,
    "SIZE": "47",
    "DISCOUNT": 20,
    "BRAND": "Puma"
  },
  {
    "ID": "306809_03",
    "TITLE": "Scuderia Ferrari RCT XETIC Forza Men's ",
    "IMAGE": "Product_19.webp",
    "DESCRIPTION": "This progressive motorsport silhouette uses ground-breaking XETIC cushioning technology to bring you a sleek, high-tech shoe with an ultimately shock-absorbing stride. With sleek Ferrari branding and team colors, it's built for life in the fast lane.",
    "STOCK": 99,
    "PRICE": 2200000,
    "SIZE": "45",
    "DISCOUNT": 0,
    "BRAND": "Puma"
  },
  {
    "ID": "306842_02",
    "TITLE": "Mercedes F1 RS Connect Motorsport Shoes",
    "IMAGE": "Product_17.webp",
    "DESCRIPTION": "This innovative addition to the Running System family is inspired by the revolution in connection and communication in our modern, digital world. The RS Connect rides the wave of technological transformation, with a fresh, futuristic design in eye-popping monochrome neon. A richly layered upper and premium Mercedes-AMG Petronas Motorsport branding at the heel bring a high-end, motorsport feel to these comfortable, cushioned sneaks.",
    "STOCK": 99,
    "PRICE": 2000000,
    "SIZE": "47",
    "DISCOUNT": 0,
    "BRAND": "Puma"
  }
]
```

{% endtab %}
{% endtabs %}

## Product Info

<mark style="color:blue;">`GET`</mark> `https://nekoya.moe.team/api/getproduct`

#### Query Parameters

| Name                                 | Type   | Description |
| ------------------------------------ | ------ | ----------- |
| id<mark style="color:red;">\*</mark> | String | Product ID  |

{% tabs %}
{% tab title="200: OK " %}

```javascript
[
  {
    "ID": "GY8803",
    "TITLE": "Nano X1 Men's Training Shoes",
    "IMAGE": "Product_37.webp",
    "DESCRIPTION": "Climb, jump and throw the barbell around in shoes made for the way you work out. Perfected by elite athletes, Reebok Nano X1 Shoes are made for anyone who loves to train hard. This men's version has a Flexweave® knit upper that's breathable yet durable, with integrated support for multidirectional movement. Floatride Energy Foam cushioning in the forefoot provides a responsive feel. A heel clip adds stability.",
    "STOCK": 99,
    "PRICE": 1800000,
    "SIZE": "45",
    "DISCOUNT": 0,
    "BRAND": "Reebok"
  }
]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nekoya.moe.team/reference/api-reference/product.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
